
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP中使用substr()截取字符串出现中文乱码问题该怎么办_php实例 / iVAN</title>

    <meta name="description" content="PHP中使用substr()截取字符串出现中文乱码问题该怎么办_php实例 在PHP程序开发中,经常会执行字符串的截取操作,比如输出信息列表时,标题不宜过长,打印文章摘要时,也要执行一系列的字符串截取操作.遇到这些需求时,我们经常会想到使用substr()方法来实现,substr()对全英文字符串的截取是比较适合的. 但字符串只要出现中文字符,就有可能导致PHP substr中文乱码,因为中文UTF-8编码,每个汉字占3字节,而GB2312占2字节,英文占1字节,截取位数不准确,substr()硬生生地将一个中文字符&quot;锯&quot;成两半,造成断开的字符会把其 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP中使用substr()截取字符串出现中文乱码问题该怎么办_php实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在PHP程序开发中，经常会执行字符串的截取操作，比如输出信息列表时，标题不宜过长，打印文章摘要时，也要执行一系列的字符串截取操作。遇到这些需求时，我们经常会想到使用substr()方法来实现，substr()对全英文字符串的截取是比较适合的。</p>
<p>但字符串只要出现中文字符，就有可能导致PHP substr中文乱码，因为中文UTF-8编码，每个汉字占3字节，而GB2312占2字节，英文占1字节，截取位数不准确，substr()硬生生地将一个中文字符“锯”成两半，造成断开的字符会把其后的..拉过来一起做一个字，所以出现了PHP substr中文乱码。</p>
<p><strong>substr --- 取得部份字符串</strong></p>
<p>语法 : string substr (string string, int start [, int length])</p>
<p>说明 :</p>
<p>substr( )传回 string的一部份字符串，由参数 start和 length指定。</p>
<p>如果 start是正数，传回的字符串将会从 string的第 start个字元开始。</p>
<p><strong>Example :</strong></p>
<pre>
&lt;?php
$rest = substr ("abcdef", 1); // returns "bcdef"
$rest = substr ("abcdef", 1, 3); // returns "bcd"
?&gt;</pre>
<p>如果 start是负数，传回的字符串将会从 string结尾的第 start个字开始。</p>
<p><strong>Example :</strong></p>
<pre>
&lt;?php
$rest = substr ("abcdef", -1); // returns "f"
$rest = substr ("abcdef", -2); // returns "ef"
$rest = substr ("abcdef", -3, 1); // returns "d"
?&gt;</pre>
<p>如果有给予参数 length而且是正数时，传回的字符串将会从 start传回 length个字元。<br />
如果有给予参数 length而且是负数时，传回的字符串将会结束于 string结尾的第 length个字元。</p>
<p><strong>Example :</strong></p>
<pre>
&lt;?php
$rest = substr ("abcdef", 1, -1); // returns "bcde"
?&gt;</pre>
<p>对于英文没有问题，我们测试一个中文</p>
<pre>
&lt;?php
$rest = substr ("中国人", 1, -1); // returns "fdsafsda" 就是乱码了
?&gt;</pre>
<p>这种截取字符的结果，肯定不是我们想要的结果，这种出现PHP substr中文乱码的情况，可能会导致程序无法正常运行。解决办法主要有两种：</p>
<p><strong>一、使用mbstring扩展库的mb_substr()截取就不会出现乱码了。</strong></p>
<p>可以用mb_substr()/mb_strcut()这个函数，mb_substr()/mb_strcut()的用法与substr()相似，只是在mb_substr()/mb_strcut最后要加入多一个参数，以设定字符串的编码，但是一般的服务器都没打开php_mbstring.dll，需要在php.ini在把php_mbstring.dll打开。</p>
<pre>
&lt;?php
  echo mb_substr("php中文字符encode",0,4,"utf-8");
?&gt;</pre>
<p>如果未指定最后一个编码参数，会是三个字节为一个中文，这就是utf-8编码的特点，若加上utf-8字符集说明，所以，是以一个字为单位来截取的。</p>
<p>使用的时候要注意php文件的编码，和网页显示时的编码。使用这个mb_substr方法要事先知道字符串的编码，如果不知道编码，就需要判断，mbstring库还提供了mb_check_encoding来检验字符串编码，但还不完善。</p>
<p>PHP 自带几种字符串截取函数，其中常用到的就是 substr 和 mb_substr。前者在处理中文时，GBK 为 2 个长度单位，UTF 为 3 个长度单位，后者指定编码后，一个中文即为 1 个长度单位。</p>
<p>substr 有时会截 1/3 个中文或半个中文，会显示乱码，相对来说 mb_substr 更适合我们使用。不过有时候 mb_substr 就显得不那么好用了。例如我要显示一个小图片的简要信息，5 个中文正好，超过 5 个就截取前4再加上 ”…”，这样处理中文是没问题了，可是处理英文或数字，这样截取就太短了。</p>
<p><strong>二、自己书写截取函数，但效率不如用mbstring扩展库来得高。下面是ecshop里面的截取UTF-8编码下字符串的函数。</strong></p>
<pre>
function sub_str($str, $length = , $append = true)
{
  $str = trim($str);
  $strlength = strlen($str);
  if ($length == || $length &gt;= $strlength)
  {
    return $str; //截取长度等于或大于等于本字符串的长度，返回字符串本身
  }
  elseif ($length &lt; ) //如果截取长度为负数
  {
    $length = $strlength + $length;//那么截取长度就等于字符串长度减去截取长度
    if ($length &lt; )
    {
      $length = $strlength;//如果截取长度的绝对值大于字符串本身长度，则截取长度取字符串本身的长度
    }
  }
  if (function_exists('mb_substr'))
  {
    $newstr = mb_substr($str, , $length, EC_CHARSET);
  }
  elseif (function_exists('iconv_substr'))
  {
    $newstr = iconv_substr($str, , $length, EC_CHARSET);
  }
  else
  {
    //$newstr = trim_right(substr($str, , $length));
    $newstr = substr($str, , $length);
  }
  if ($append &amp;&amp; $str != $newstr)
  {
    $newstr .= '...';
  }
  return $newstr;
}</pre>
<p>好了，本文全部叙述到此为止，相信会给大家带来收获的，以上代码也很简单，有不明白的地方欢迎给我留言，我会在第一时间给大家答复的。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索php_substr乱码<br />
                                    php_substr中文乱码<br />
                                    substr截取中文乱码、substr从右边截取、substr php字符串截取、sas substr 从后截取、substr截取后几位，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 00:36:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php_substr%e4%b9%b1%e7%a0%81/" title="php&lowbar;substr乱码">php&lowbar;substr乱码</a>, <a href="https://www.iamivan.net/tag/php_substr%e4%b8%ad%e6%96%87%e4%b9%b1%e7%a0%81/" title="php&lowbar;substr中文乱码">php&lowbar;substr中文乱码</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP中使用substr()截取字符串出现中文乱码问题该怎么办_php实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NBPJz.html" rel="bookmark">PHP读取mssql json数据中文乱码的解决办法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP及网页使用UTF-8编码,数据库是sql server2008,使用默认编码(936,即GBK编码) 当读取数据库数据时,使用php自带的json_encode()返回到前端,结果中文不显示. 解决办法如下: 这样,sql server 2008中的中文就可以在网页正常显示了. 如果要将中文正常插入到sql server 2008中,还要加入一条代码:$query = iconv(&quot;utf-8&quot;, &quot;gbk//ignore&quot;, $query);//为了解决中文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z44o51z.html" rel="bookmark">PHP MPDF中文乱码的解决方式&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				废话不多说了,直接奔入主题了. 推荐教程:PHP使用MPDF类生成PDF的方法 1.config.php文件,大约67行: $this-&gt;autoLangToFont = true; 2.使用的时候 注意, +aCJK 这个参数,而不是  c这个参数 $mpdf=new \mPDF('+aCJK','A4','','',32,25,27,25,16,13); $mpdf-&gt;WriteHTML($content); $mpdf-&gt;Output(); 然后就输出中文了 这个针对版本mPDF6			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRwko3p.html" rel="bookmark">wordpress安装过程中遇到中文乱码的处理方法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在安装wordpress的时候,按照里面的readme.html的步骤进行安装,但是在访问wp-admin/install.php的时候就出现了一行乱码: 复制代码 代码如下: 鎮ㄧ殑 PHP 浼间箮娌℃湁瀹夎杩愯 WordPress 蹇呴』鐨  MySQL 鎷撳睍銆 从这行乱码中可以看出有PHP.MySql,可以猜测出是连接MySql错误.在仔细检查了wp-config.php中的连接数据库参数后,发现不是参数的错误,那就一定是连接的方式出了问题. 以前我习惯于使用mysqli.dll来连			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKql4ap.html" rel="bookmark">用javascript实现截取字符串包含中文处理的函数&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.substring 方法 定义和用法 substring 方法用于提取字符串中介于两个指定下标之间的字符. 语法 stringObject.substring(start,stop) 参数 描述 start 必需.一个非负的整数,规定要提取的子串的第一个字符在 stringObject 中的位置. stop 可选.一个非负的整数,比要提取的子串的最后一个字符在 stringObject 中的位置多 1.如果省略该参数,那么返回的子串会一直到字符串的结尾. 返回值 一个新的字符串,该字符串值包			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94A13b.html" rel="bookmark">class-jython中有类似substr截取字符串的函数嘛？是哪个，多谢！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 jython中有类似substr截取字符串的函数嘛?是哪个,多谢! jython中有类似substr截取字符串的函数嘛?是哪个,多谢! 解决方案 字符串截取函数 substrPHP用substr函数截取字符串中的某部分 解决方案二: jython也是substr嘛? 解决方案三: 没有见过= =函数原型 basic_string&lt;CharType, Traits, Allocator&gt; substr( size_type _Off = 0, size_type _Count = np			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdE2V3z.html" rel="bookmark">new-在servlet中获取jsp提交的超链接中文乱码问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在servlet中获取jsp提交的超链接中文乱码问题 用的tomcat7.0 请问在jsp中提交超链接时带有中文参数,为什么在servlet中一直取得都是乱码,我已经改了jsp页面和servlet中的编码方式都是utf-8,同时我也改了tomcat7.0 中的server.xml文件将编码方式设置为utf-8,为什么还是乱码?我也在servlet中用网上的方法 new String(str.getBytes(&quot;ISO-8859-1&quot;),&quot;UTF-8&quot;)进行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwa9AM.html" rel="bookmark">java web-web项目中怎么写代码&comma;才能减少中文乱码的产生</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 web项目中怎么写代码,才能减少中文乱码的产生 近期实习一直在改bug,发现经常会出现中文乱码的问题,请问中文乱码产生的原因有哪些 ,应该怎么做才能避免这些问题,如果发现是中文乱码的问题,解决方法有哪些? 解决方案 你要确定所有用到编码的地方都统一用一种,比如utf8.这样乱码的几率就很少. 解决方案二: 对涉及到编码的地方编码同一即可 解决方案三: 这个是编解码的问题,统一编解码方式.避免这种问题要在写代码时多注意.之所以出现乱码,说明字符串没进行相应的解码,统一提取出一个解码的函数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M19193M.html" rel="bookmark">php中json&lowbar;encode处理gbk与gb2312中文乱码问题的解决方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲述了php中json_encode处理gbk与gb2312中文乱码问题的解决方法,具体方法如下: 1.json_encode()中文在gbk/gb2312中对中文返回为null $arr = array ( array ( 'catid' =&gt; '4', 'catname' =&gt; 'www.jb51.net', 'meta_title' =&gt; '' ) ); echo json_encode($arr); 运行结果: [{&quot;catid&quot;:&quot;4&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGE98nM.html" rel="bookmark">PHP中使用file&lowbar;get&lowbar;contents抓取网页中文乱码问题解决方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHP中使用file_get_contents抓取网页中文乱码问题解决方法.分享给大家供大家参考.具体方法如下: file_get_contents函数本来就是一个非常优秀的php自带本地与远程文件操作函数,它可以让我们不花吹挥之力把远程数据直接下载,但我在使用它读取网页时会碰到有些页面是乱码了,这里就来给各位总结具体的解决办法. 根据网上有朋友介绍说原因可能是服务器开了GZIP压缩,下面是用firebug查看我的网站的头信息,Gzip是开了的,请求头信息原始头信息,代码如下: 复			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXdWyp.html" rel="bookmark" class="title">Android裁剪图片最简单方法</a>
					<div>
						 很多网友平时如果需要在Android平台下开发处理图片裁剪的应用,如果感觉实现的逻辑比较麻烦,比如说需要写类此Win32下的橡皮筋类CRectTracker来设置裁剪区域,这里Android开发网给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP15rz.html" rel="bookmark" class="title">《Effective Java》学习笔记&lpar;４&rpar;</a>
					<div>
						笔记 五.C语言结构的替代 如何用java模拟c语言中的一些结构 第19条:用类代替结构     对于C语言中的结构,java可以用类来代替,不过你不应让类的成员变量可以被公开访问,成员变量应该是pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOgkAM.html" rel="bookmark" class="title">用redhat 9&period;0来配置一台DHCP服务器</a>
					<div>
						配置方法其实很简单 !! 只是大家需要注意一些问题: 1.dhcp 服务 不能跨网段 只能用于 内网使用 不能放到外网 2.如果用虚拟机来模拟,需要关掉虚拟的dhcp 3.在一个网段里 不允许 有2台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kwY5z.html" rel="bookmark" class="title">怎样显示Word 2013文档中的所有格式</a>
					<div>
						通常情况下,Word2013文档中包含有多种格式,包括字体.字号.字符间距等格式设置.用户可以在&quot;显示格式&quot;任务窗格中查看当前Word文档或选定文本的格式.默认情况下,Word20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6Y3gz.html" rel="bookmark" class="title">中国iOS应用开发者能挣多少？</a>
					<div>
						  据彭博社报道,在中国受欢迎的不仅是苹果的硬件产品,中国已经成为继美国和日本之后的第三大移动应用市场. 开发者能挣多少?-ios开发者创建应用&quot;&gt; 中国iOS应用开发者能挣多少?34 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7OYmM.html" rel="bookmark" class="title">Excel形状如何填充渐变色</a>
					<div>
						  1.打开Excel,点击工具栏的&quot;插入&quot;→&quot;形状&quot;,接着插入我们喜欢的形状. 2.插入形状后右键打开&quot;设置形状格式&quot;. 3.然后选择&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR5eaz.html" rel="bookmark" class="title">减小word2007文档容量的七招</a>
					<div>
						有时用word生成的文档,每页在20KB左右,而用记事本生居的相同的内容只有1KB左右,能让Word也减减肥吗?其实我们可以采用以下这些行之有效的方法来减小word文档的容量. 1.取消快速保存法,当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E2g4M.html" rel="bookmark" class="title">在Word2010中设置SmartArt图形大小</a>
					<div>
						  在Word2010文档中,用户可以既通过拖动SmartArt图形边框设置SmartArt图形大小,也可以通过输入具体数值设置大小,本例教程分别介绍如下: 单击选中SmartArt图形,在图形边框的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLae18z.html" rel="bookmark" class="title">Java容器&mdash;&mdash;未获支持的操作</a>
					<div>
						    先看一个例子: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7vWwM.html" rel="bookmark" class="title">云计算的市场需求分析</a>
					<div>
						导读:根据ESG的调查显示,在云计算备受追捧的环境下,服务器虚拟化仍然存在大量的发展机会,21%的受访企业2009年服务器虚拟化的投入力度大于2008年:27%的受访企业表示与2008年持平. ESG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6ZWXb.html" rel="bookmark" class="title">【转载】知乎技术方案初探</a>
					<div>
						知乎的整个网站架构图如下:       知乎是国内很少的使用Python开发的一个网站,也很多值得我们学习的地方,从知乎让我们也可以了解到一些新的WEB技术. 一.Python框架       知乎目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YQxXM.html" rel="bookmark" class="title">activemq 实现多个生产者 多个消费者 同时操作一个队列应该怎么弄 求指导</a>
					<div>
						问题描述 activemq 实现多个生产者 多个消费者 同时操作一个队列应该怎么弄 求指导 activemq 实现多个生产者 多个消费者 同时操作一个队列应该怎么弄 求指导 解决方案 http://b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX48yz.html" rel="bookmark" class="title">用PowerDesigner将DB2数据字典导成WORD</a>
					<div>
						转自http://space.itpub.net/21440893/viewspace-628728 1.打开PowerDesigner,打开File&gt;new,在左边框中选择Physical D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB0lAb.html" rel="bookmark" class="title">ASP&period;NET 固定标题列与栏位的具体实现&lowbar;实用技巧</a>
					<div>
						APSX 页面代码: JS 复制代码 代码如下:        &lt;script src=&quot;../Js/jquery-1.8.3.min.js&quot; type=&quot;text ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBnQZb.html" rel="bookmark" class="title">谷歌周四在谷歌印度官方博客中宣布</a>
					<div>
						谷歌去年12月首先在美国市场推出Chrome网络商店.通过该商店,Chrome用户可查找和安装各类应用程序.扩展程序以及专门为Chrome浏览器设计的多种主题. 谷歌表示,就印度Chrome用户而言, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPklG0M.html" rel="bookmark" class="title">全球140家银行感染Duqu 2&period;0，隐藏6个月无人发现</a>
					<div>
						本文讲的是全球140家银行感染Duqu 2.0,隐藏6个月无人发现, 两年前,卡巴斯基实验室的安全研究员发现他们的公司网络感染了一个他们从来没有见过的恶意程序.这种恶意程序只存在于被感染设备的内存中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEVr3M.html" rel="bookmark" class="title">十五天精通WCF&mdash;&mdash;第十一天 如何对wcf进行全程监控</a>
					<div>
						说点题外话,我们在玩asp.net的时候,都知道有一个叼毛玩意叫做&quot;生命周期&quot;,我们可以用httpmodule在先于页面的page_load中 做一些拦截,这样做的好处有很多,比如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyx61z.html" rel="bookmark" class="title">Oracle11G R2 用exp无法导出空表解决方法</a>
					<div>
						Oracle11G R2 用exp无法导出空表解决方法 作者:吴伟龙  Name:Prudence Woo QQ:286507175 msn:happy-wuweilong@hotmail.com   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNj4xM.html" rel="bookmark" class="title">支付宝社交方向再进一步</a>
					<div>
						1月20日消息,一张8.5版本支付宝钱包的内测截图在网上流出.该截图显示,在新版本的支付宝钱包&quot;探索&quot;这一二级页面下,出现了一个&quot;我的朋友&quot;选项,进入转账界面后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgwRWM.html" rel="bookmark" class="title">iOS 获取手机的型号，系统版本，软件名称，软件版本</a>
					<div>
						//手机序列号      NSString* identifierNumber = [[UIDevice currentDevice] uniqueIdentifier];     NSLog(@&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmKwAz.html" rel="bookmark" class="title">使用JavaScript脚本无法直接改变Asp&period;net中Checkbox控件的Enable属性的解决方法&lowbar;javascript技巧</a>
					<div>
						 今天工作中遇到个小问题,情况如下,当我在后台页面中设置Checkbox的Enable的值为false时,我在前端页面中使用脚本(chk.disabled = false),无法改变disabled的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO64wb.html" rel="bookmark" class="title">jQuery学习笔记之总体架构&lowbar;jquery</a>
					<div>
						先来看代码: 复制代码 代码如下: (function (window, undefined) {            //构建jQuery对象            var document =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QaAWp.html" rel="bookmark" class="title">JSP ASP实战代码</a>
					<div>
						问题描述 探索软件工作室长期专业承接中小型商业软件或网站,最优惠的价格和高质量的服务期待您的惠顾!本工作室承接lotusNotesASPVBPB等语言要求的应用系统开发业务javajsp实战源程序代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKmnPz.html" rel="bookmark" class="title">php KindEditor文章内分页的实例方法</a>
					<div>
						我的理解核心代码  代码如下 复制代码 $news = array( 'title'=&gt;'first', 'content' =&gt;'&lt;p&gt;this is paragraph 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YBYrb.html" rel="bookmark" class="title">细数目前做的比较好的智能家电</a>
					<div>
						细数目前做的比较好的智能家电 扫地机器人 家用扫地机又叫懒人扫地机.扫地机器人,是智能家用电器的一种,能凭借一定的人工智能,自动在房间内完成地板清理工作.一般采用刷扫和真空方式,将地面杂物先吸纳进入自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnOq7oz.html" rel="bookmark" class="title">实验显示奶茶仅含少量牛奶碳酸饮料维C含量最少</a>
					<div>
						小朋友们争先恐后地要求参与做实验.宗晓斌 摄&quot;康康姐&quot;手把手地教孩子做食品安全实验.宗晓斌 摄嘿,小家伙,看到什么了.宗晓斌 摄 所谓&quot;奶茶&quot;,里面到底有没有& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zw5ZWWM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;蝴蝶&rdquo;黑客小组专偷知识产权</a>
					<div>
						本文讲的是 &quot;蝴蝶&quot;黑客小组专偷知识产权,一个名为&quot;蝴蝶&quot;的黑客小组,其攻击目标主要是企业的知识产权,遭受攻击的相关公司包括推特.脸书.苹果.微软以及其它商业巨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQYNjWb.html" rel="bookmark" class="title">源兴生物医药科技杨向阳：投资人投的不是医药，是市场</a>
					<div>
						投资界6月19日消息,由清科集团主办的第四届中国医疗健康产业投资与并购大会在北京召开.图为深圳市源兴生物医药科技有限公司杨向阳. 以下为访谈实录:(未经本人审核) 杨向阳:我是做生物医药,做的时间是最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQYaaKb.html" rel="bookmark" class="title">网络从业人员应提高业务修养和加强自律</a>
					<div>
						近日,有个别网民在互联网上.特别是微博中编造.传播所谓&quot;军车进军.北京出事&quot;等谣言,产生了恶劣的社会影响.北京市公安机关迅速展开调查,对网上编造谣言的李某.唐某等6人依法予以拘留, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd0xY4p.html" rel="bookmark" class="title">收藏的SQL知识以及SQL语句简单实践通俗易懂&lowbar;数据库其它</a>
					<div>
						小引 首先说明,这个笔者2年前学习SQL的遗漏下来的笔记,由于参加完腾讯的笔试,内容比较偏向数据机构和编译以及数据库,刚好要换台本本,心里不想把它弄死在硬盘里,觉得蛮好的,所以把它都分享了,主要第一部 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
